using Firebase.Firestore;
using Newtonsoft.Json;
using System;
using UnityEngine;

[Serializable, FirestoreData]
[JsonObject]
public class Prompt
{
    [field: SerializeField]
    [FirestoreDocumentId]
    public string id { get; set; }

    [field: SerializeField]
    [FirestoreProperty]
    public string fr { get; set; }

    [field: SerializeField]
    [FirestoreProperty]
    public string en { get; set; }
}
